For the complete documentation index, see llms.txt. This page is also available as Markdown.

Get Quotation Version

Get a quotation version with formatted content, gallery media, document references, customer-facing pricing totals and additional charges, group totals, and unit and line product amounts.

Use this when an integration must reproduce a specific quotation revision rather than whichever version is current.

Requires the quotations:read scope.

get
Authorizations
AuthorizationstringRequired

API key sent as a bearer token (mk_live_… / mk_test_…).

Path parameters
quotationIdstringRequiredPattern: ^QUOT-[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$
versionIdstringRequiredPattern: ^VERSION_\d+$
Responses
200

Successful response.

application/json
get/v1/quotations/{quotationId}/versions/{versionId}
GET /v1/quotations/{quotationId}/versions/{versionId} HTTP/1.1
Host: admin.mimeeqapi.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "data": {
    "versionId": "text",
    "status": "text",
    "createdAt": "text",
    "modifiedAt": "text",
    "summary": {
      "description": {
        "html": "text",
        "text": "text"
      }
    },
    "introduction": {
      "title": "text",
      "description": {
        "html": "text",
        "text": "text"
      }
    },
    "pricing": {
      "products": {
        "salePrice": 1,
        "regPrice": 1,
        "totalQuantity": 1,
        "discountPercentage": 1
      },
      "additional": [
        {
          "name": "text",
          "fixedAmount": 1,
          "percentageOfProductsTotal": 1,
          "adjustmentAmount": 1
        }
      ],
      "subtotal": 1,
      "finalDiscount": 1,
      "total": 1
    },
    "groups": [
      {
        "id": "text",
        "title": "text",
        "description": {
          "html": "text",
          "text": "text"
        },
        "pricing": {
          "salePrice": 1,
          "regPrice": 1,
          "totalQuantity": 1,
          "discountPercentage": 1
        },
        "settings": {
          "hideTitle": true,
          "newPage": true
        },
        "blocks": [
          {
            "id": "text",
            "blockType": "text",
            "selectedLineId": "text",
            "newPage": true,
            "content": {
              "html": "text",
              "text": "text"
            },
            "products": [
              {
                "lineId": "text",
                "parentLineId": "text",
                "optional": true,
                "selectedOptional": true,
                "previewImage": "text",
                "notes": "text",
                "description": {
                  "html": "text",
                  "text": "text"
                },
                "productId": "text",
                "configurationCode": "text",
                "type": "text",
                "variantCode": "text",
                "quantity": 1,
                "name": "text",
                "options": [
                  {
                    "name": "text",
                    "hideOnSpecification": true,
                    "value": "text",
                    "previewImage": "text"
                  }
                ],
                "sku": "text",
                "unitSalePrice": 1,
                "unitRegPrice": 1,
                "oneTimeCharge": 1,
                "salePrice": 1,
                "regPrice": 1
              }
            ],
            "gallery": {
              "numOfColumns": 1,
              "items": [
                {
                  "mediaType": "IMAGE",
                  "mediaSource": "CUSTOM",
                  "fileId": "text",
                  "url": "text",
                  "caption": "text",
                  "autoplay": true,
                  "loop": true
                }
              ]
            },
            "documents": [
              {
                "fileId": "text",
                "directoryPath": "text"
              }
            ]
          }
        ]
      }
    ]
  }
}

Last updated

Was this helpful?